Subject: Re: 2.6.29-rc3: tg3 dead after resume

From: Benjamin Herrenschmidt <[email-masked]>
Date: Sat, 07 Feb 2009 14:27:26 +1100

On Sat, 2009-01-31 at 16:51 -0800, Linus Torvalds wrote:
> 
> On Sat, 31 Jan 2009, Linus Torvalds wrote:
> > 
> > For a USB host controller, for example, it really could make sense to do 
> > that - just leave all the core host controller stuff running, and the only 
> > thing the "suspend()" callback does is to send the commands to the actual 
> > devices, it doesn't necessarily touch the host controller itself at all.
> 
> Same is quite likely true of things like video graphics adapters. Again, 
> for all the same reasons. Think about all those fbcon drivers. They will 
> use DMA for things. And again, there are very compelling debugging reasons 
> to not suspend them for real until suspend_late (if even then).

Actually, there are things like service processors etc... that only know
to communicate via DMA and little else via a little mailbox in some
reserved area of system memory...

Ben.